Subject: bug#15887: Possibly incorrect custom :types

From: Bastien <[email-masked]>
Date: Fri, 15 Nov 2013 06:25:48 +0100

Hi Glenn,

Glenn Morris <[email-masked]> writes:

> I glanced at the diff. I'm not sure the :set changes are correct.
> Won't this make it impossible to customize these options?
> Those cases may have been some of the false positives I mentioned.
> Eg
>
> (if (or (featurep 'xemacs) (featurep 'python-mode)) 'python-mode 'python)
>
> is fine for :type 'function, but cus-test is simple-minded and
> doesn't realize that the result of the expression will always be a
> function, so it gives a bogus warning.

Thanks for pointing this, I misunderstood the purpose of :set.
This is fixed in the maint branch.

-- 
 Bastien